Loading...
Searching...
No Matches
field_basic< T, M >::const_iterator

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::field_basic< T, M >::const_iterator

Definition at line 612 of file field.h.

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef vec< T, M >::size_type | size_type
typedef T | value_type
typedef const T & | reference
typedef const T * | pointer
typedef std::ptrdiff_t | difference_type

## Public Member Functions

| const_iterator ()
| const_iterator (iter_t blk_dis_iub_iter, data_t u, data_t b, size_type first_iu, size_type first_ib)
| const_iterator (iterator i)
void | set_increment (size_type incr)
reference | operator* () const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator+= (difference_type n)
const_iterator | operator+ (difference_type n) const
reference | operator[] (size_type n) const
bool | operator== (const const_iterator &j) const
bool | operator!= (const const_iterator &j) const

## Public Attributes

iter_t | _blk_dis_iub_iter
size_type | _blk_dis_iub_incr
data_t | _u
data_t | _b
size_type | _first_iu
size_type | _first_ib

## Protected Types

typedef vec< T, M >::const_iterator | data_t
typedef disarray< space_pair_type, M >::const_iterator | iter_t

## Member Typedef Documentation

## data_t

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::const_iterator data_t

protected

Definition at line 614 of file field.h.

## iter_t

template<class T , class M = rheo_default_memory_model>

typedef disarray<space_pair_type,M>::const_iterator iter_t

protected

Definition at line 615 of file field.h.

## iterator_category

template<class T , class M = rheo_default_memory_model>

typedef std::forward_iterator_tag iterator_category

Definition at line 620 of file field.h.

## size_type

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::size_type size_type

Definition at line 621 of file field.h.

## value_type

template<class T , class M = rheo_default_memory_model>

typedef T value_type

Definition at line 622 of file field.h.

## reference

template<class T , class M = rheo_default_memory_model>

typedef const T& reference

Definition at line 623 of file field.h.

## pointer

template<class T , class M = rheo_default_memory_model>

typedef const T* pointer

Definition at line 624 of file field.h.

## difference_type

template<class T , class M = rheo_default_memory_model>

typedef std::ptrdiff_t difference_type

Definition at line 625 of file field.h.

## Constructor & Destructor Documentation

## const_iterator() [1/3]

template<class T , class M = rheo_default_memory_model>

const_iterator | ( |  | ) |

Definition at line 629 of file field.h.

## const_iterator() [2/3]

template<class T , class M = rheo_default_memory_model>

const_iterator | ( | iter_t | blk_dis_iub_iter,
|  | data_t | u,
|  | data_t | b,
|  | size_type | first_iu,
|  | size_type | first_ib
| ) |  |

Definition at line 637 of file field.h.

## const_iterator() [3/3]

template<class T , class M = rheo_default_memory_model>

const_iterator | ( | iterator | i | ) |

Definition at line 644 of file field.h.

## Member Function Documentation

## set_increment()

template<class T , class M = rheo_default_memory_model>

void set_increment | ( | size_type | incr | ) |

Definition at line 653 of file field.h.

## operator*()

template<class T , class M = rheo_default_memory_model>

reference operator* | ( |  | ) | const

Definition at line 657 of file field.h.

## operator++() [1/2]

template<class T , class M = rheo_default_memory_model>

const_iterator & operator++ | ( |  | ) |

Definition at line 663 of file field.h.

## operator++() [2/2]

template<class T , class M = rheo_default_memory_model>

const_iterator operator++ | ( | int |  | ) |

Definition at line 664 of file field.h.

## operator+=()

template<class T , class M = rheo_default_memory_model>

const_iterator & operator+= | ( | difference_type | n | ) |

Definition at line 665 of file field.h.

## operator+()

template<class T , class M = rheo_default_memory_model>

const_iterator operator+ | ( | difference_type | n | ) | const

Definition at line 666 of file field.h.

## operator[]()

template<class T , class M = rheo_default_memory_model>

reference operator[] | ( | size_type | n | ) | const

Definition at line 667 of file field.h.

## operator==()

template<class T , class M = rheo_default_memory_model>

bool operator== | ( | const const_iterator & | j | ) | const

Definition at line 671 of file field.h.

## operator!=()

template<class T , class M = rheo_default_memory_model>

bool operator!= | ( | const const_iterator & | j | ) | const

Definition at line 672 of file field.h.

## Member Data Documentation

## _blk_dis_iub_iter

template<class T , class M = rheo_default_memory_model>

iter_t _blk_dis_iub_iter

Definition at line 675 of file field.h.

## _blk_dis_iub_incr

template<class T , class M = rheo_default_memory_model>

size_type _blk_dis_iub_incr

Definition at line 676 of file field.h.

## _u

template<class T , class M = rheo_default_memory_model>

data_t _u

Definition at line 677 of file field.h.

## _b

template<class T , class M = rheo_default_memory_model>

data_t _b

Definition at line 678 of file field.h.

## _first_iu

template<class T , class M = rheo_default_memory_model>

size_type _first_iu

Definition at line 679 of file field.h.

## _first_ib

template<class T , class M = rheo_default_memory_model>

size_type _first_ib

Definition at line 679 of file field.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field.h